package com.fxf.separation.taUser.service.impl;

import com.fxf.separation.taUser.dao.TaUserMapper;
import com.fxf.separation.taUser.model.TaUser;
import com.fxf.separation.taUser.service.TaUserServiceI;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author FXF
 * @date 2019-10-14
 */
@Service
public class TaUserServiceImpl implements TaUserServiceI {
	
	@Autowired
	private TaUserMapper taUserMapper;
	
	@Override
	public List<TaUser> getList() {
		return taUserMapper.getAll();
	}
	
	@Override
	public TaUser addUser(TaUser taUser) {
		taUserMapper.add(taUser);
		return taUser;
	}
}
